SuSE9 安全性更新:IBMJava JRE 和 SDK (YOU 修補程式編號 12682)

critical Nessus Plugin ID 52629
新推出!Plugin 嚴重性目前使用 CVSS v3

計算 Plugin 嚴重性已更新為預設使用 CVSS v3 沒有 CVSS v3 評分的 Plugin 會回歸到以 CVSS v2 計算嚴重性。您可在設定下拉式選單中切換顯示嚴重性的喜好設定

Synopsis

遠端 SuSE 9 主機缺少安全性相關修補程式。

描述

IBM Java 1.4.2 SR13 已更新至 FP8 以修正多個錯誤和安全性問題。

已修正以下安全性問題:

- MIT Kerberos 5 (即 krb5) 到 1.7.1 和舊於 1.8.2 的 1.8 版本中,GSS-API 程式庫之 krb5/accept_sec_context.c 內的 kg_accept_krb5 函式,在 kadmind 和其他應用程式中使用時,沒有正確檢查無效的 GSS-API token,進而允許經過驗證的遠端使用者透過 AP-REQ 訊息造成拒絕服務 (NULL 指標解除參照和程序損毀),而該訊息中缺少驗證者的總和檢查碼欄位。(CVE-2010-1321)

- Oracle Java SE 及 Java for Business 6 Update 21、5.0 Update 25、1.4.2_27 和 1.3.1_28 中的 Networking 元件存在一個不明弱點,允許遠端攻擊者透過未知向量影響機密性、完整性和可用性。注意:前述資訊擷取自 2010 年 10 月 CPU。
Oracle 尚未針對由可靠的下游供應商所提出之宣告提供註解,宣告指出,HttpURLConnection 沒有正確檢查 allowHttpTrace 權限,導致未受信任的程式碼可執行 HTTP TRACE 要求。
(CVE-2010-3574)

- 將 '2.2250738585072012e-308' 轉換為二進位浮點數時,Java Runtime Environment 會永遠懸置。(CVE-2010-4476)

解決方案

套用 YOU 修補程式編號 12682。

另請參閱

http://support.novell.com/security/cve/CVE-2010-1321.html

http://support.novell.com/security/cve/CVE-2010-3574.html

http://support.novell.com/security/cve/CVE-2010-4476.html

Plugin 詳細資訊

嚴重性: Critical

ID: 52629

檔案名稱: suse9_12682.nasl

版本: 1.12

類型: local

代理程式: unix

已發布: 2011/3/11

已更新: 2021/1/14

相依性: ssh_get_info.nasl

風險資訊

VPR

風險因素: Medium

分數: 6.4

CVSS v2

風險因素: Critical

基本分數: 10

媒介: AV:N/AC:L/Au:N/C:C/I:C/A:C

弱點資訊

CPE: cpe:/o:suse:suse_linux

必要的 KB 項目: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

可被惡意程式利用: true

可輕鬆利用: Exploits are available

修補程式發佈日期: 2011/2/23

參考資訊

CVE: CVE-2010-1321, CVE-2010-3574, CVE-2010-4476